VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::metamodel::OperationInfo Class Reference

The `OperationInfo` class contains metamodel information of an operation element. More...

List of all members.

## Public Member Functions
| OperationInfo ()
| Creates a default new instance.
string | GetName ()
| Name of the operation element in a canonical format.
void | SetName (string name)
| Name of the operation element in a canonical format.
global::System.Collections.Generic.List < vmware.vapi.metadata.metamodel.FieldInfo > | GetParams ()
| Metamodel information for the parameter elements.
void | SetParams (global::System.Collections.Generic.List< vmware.vapi.metadata.metamodel.FieldInfo > params_)
| Metamodel information for the parameter elements.
vmware.vapi.metadata.metamodel.OperationResultInfo | GetOutput ()
| Metamodel type for the output element.
void | SetOutput (vmware.vapi.metadata.metamodel.OperationResultInfo output)
| Metamodel type for the output element.
global::System.Collections.Generic.List < vmware.vapi.metadata.metamodel.ErrorInfo > | GetErrors ()
| List of error elements that might be reported by the operation element.
void | SetErrors (global::System.Collections.Generic.List< vmware.vapi.metadata.metamodel.ErrorInfo > errors)
| List of error elements that might be reported by the operation element.
global::System.Collections.Generic.Dictionary < string, vmware.vapi.metadata.metamodel.ElementMap > | GetMetadata ()
| Generic metadata elements for the operation element.
void | SetMetadata (global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.ElementMap > metadata)
| Generic metadata elements for the operation element.
string | GetDocumentation ()
| English language documentation for the service element.
void | SetDocumentation (string documentation)
| English language documentation for the service element.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `OperationInfo` class contains metamodel information of an operation element.

## Constructor & Destructor Documentation

vmware::vapi::metadata::metamodel::OperationInfo::OperationInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::metamodel::OperationInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::metamodel::OperationInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::metamodel::OperationInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::metamodel::OperationInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::metamodel::OperationInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::metamodel::OperationInfo::Equals | ( | object | obj | ) | `[inline]`

string vmware::vapi::metadata::metamodel::OperationInfo::GetDocumentation | ( |  | ) | `[inline]`

English language documentation for the service element.

It can contain HTML markup and Javadoc tags.

global::System.Collections.Generic.List<vmware.vapi.metadata.metamodel.ErrorInfo> vmware::vapi::metadata::metamodel::OperationInfo::GetErrors | ( |  | ) | `[inline]`

List of error elements that might be reported by the operation element.

If the operation reports the same error for more than one reason, the list contains the error element associated with the error more than once with different documentation elements.

override int vmware::vapi::metadata::metamodel::OperationInfo::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.Dictionary<string, vmware.vapi.metadata.metamodel.ElementMap> vmware::vapi::metadata::metamodel::OperationInfo::GetMetadata | ( |  | ) | `[inline]`

Generic metadata elements for the operation element.

The key in the map is the name of the metadata element and the value is the data associated with that metadata element.

The MetadataIdentifier contains possible string values for key in the map.

string vmware::vapi::metadata::metamodel::OperationInfo::GetName | ( |  | ) | `[inline]`

Name of the operation element in a canonical format.

The format is lower case with underscores. Each underscore represents a word boundary. If there are acronyms in the word, the capitalization is preserved. This format makes it easy to translate the segment into a different naming convention.

vmware.vapi.metadata.metamodel.OperationResultInfo vmware::vapi::metadata::metamodel::OperationInfo::GetOutput | ( |  | ) | `[inline]`

Metamodel type for the output element.

global::System.Collections.Generic.List<vmware.vapi.metadata.metamodel.FieldInfo> vmware::vapi::metadata::metamodel::OperationInfo::GetParams | ( |  | ) | `[inline]`

Metamodel information for the parameter elements.

The order of the parameters elements in the list is same as the order of the parameters declared in the interface definition file.

void vmware::vapi::metadata::metamodel::OperationInfo::SetDocumentation | ( | string | documentation | ) | `[inline]`

English language documentation for the service element.

It can contain HTML markup and Javadoc tags.

void vmware::vapi::metadata::metamodel::OperationInfo::SetErrors | ( | global::System.Collections.Generic.List< vmware.vapi.metadata.metamodel.ErrorInfo > | errors | ) | `[inline]`

List of error elements that might be reported by the operation element.

If the operation reports the same error for more than one reason, the list contains the error element associated with the error more than once with different documentation elements.

void vmware::vapi::metadata::metamodel::OperationInfo::SetMetadata | ( | global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.metamodel.ElementMap > | metadata | ) | `[inline]`

Generic metadata elements for the operation element.

The key in the map is the name of the metadata element and the value is the data associated with that metadata element.

The MetadataIdentifier contains possible string values for key in the map.

void vmware::vapi::metadata::metamodel::OperationInfo::SetName | ( | string | name | ) | `[inline]`

Name of the operation element in a canonical format.

The format is lower case with underscores. Each underscore represents a word boundary. If there are acronyms in the word, the capitalization is preserved. This format makes it easy to translate the segment into a different naming convention.

void vmware::vapi::metadata::metamodel::OperationInfo::SetOutput | ( | vmware.vapi.metadata.metamodel.OperationResultInfo | output | ) | `[inline]`

Metamodel type for the output element.

void vmware::vapi::metadata::metamodel::OperationInfo::SetParams | ( | global::System.Collections.Generic.List< vmware.vapi.metadata.metamodel.FieldInfo > | params_ | ) | `[inline]`

Metamodel information for the parameter elements.

The order of the parameters elements in the list is same as the order of the parameters declared in the interface definition file.

override string vmware::vapi::metadata::metamodel::OperationInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- metamodel/OperationInfo.cs